/*
 * ioGame
 * Copyright (C) 2021 - 2023  渔民小镇 （262610965@qq.com、luoyizhu@gmail.com） . All Rights Reserved.
 * # iohao.com . 渔民小镇
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package com.iohao.mmo.equip.entity;

import lombok.AccessLevel;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.FieldDefaults;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

/**
 * 装备
 *
 * @author 唐斌
 * @date 2023-07-26
 */
@Data
@Document
@FieldDefaults(level = AccessLevel.PRIVATE)
public class EquipQuality {
    @Id
    String id;
    /** 品质 white白色，yellow黄色，green绿色，blue蓝色，red红色，purple紫色，ghost鬼装*/
    String quality;
    /** 最小随机词条数 */
    int randomNumMin;
    /** 最大随机词条数 */
    int randomNumMax;
    /** 词条数对应随机权重，从少到多 */
    Integer[] prizeWeightArr;
}
