package com.iohao.mmo.excel.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import com.iohao.mmo.excel.dto.converter.PositionConverter;
import com.iohao.mmo.excel.dto.converter.QualityConverter;
import lombok.Data;

/**
 * 装备品质Excel
 *
 * @author Toby javatangbin@163.com
 */
@Data
@ContentRowHeight(20)
@HeadRowHeight(20)
@ColumnWidth(25)
public class EquipQualityExcelDTO {
    @ColumnWidth(20)
    @ExcelProperty(value ="品质",index = 0, converter = QualityConverter.class)
    private String quality;

    @ExcelProperty(value ="最小随机词条数",index = 1)
    private int randomNumMin;

    @ColumnWidth(20)
    @ExcelProperty(value = "最大随机词条数",index = 2)
    private int randomNumMax;

    @ExcelProperty(value = "词条数对应随机权重",index = 3)
    private String prizeWeightStr;

}
