/*
 * ioGame
 * Copyright (C) 2021 - 2023  渔民小镇 （262610965@qq.com、luoyizhu@gmail.com） . All Rights Reserved.
 * # iohao.com . 渔民小镇
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package com.iohao.mmo.equip.proto;

import com.baidu.bjf.remoting.protobuf.annotation.ProtobufClass;
import lombok.AccessLevel;
import lombok.ToString;
import lombok.experimental.FieldDefaults;
import java.math.BigDecimal;

/**
 * 装备固定属性
 *
 * @author 唐斌
 * @date 2023-07-30
 * @description:
 */
@ToString
@ProtobufClass
@FieldDefaults(level = AccessLevel.PUBLIC)
public class EquipEntryPropertyMessage {
    /** 等级最小值 */
    int levelMin;
    /** 等级最大值 */
    int levelMax;
    /** 属性计算方式（1装备加，2装备减，3装备增加百分比，4装备减少百分比，5全身增加百分比，6全身减少百分比） */
    int countType;
    /** 显示方式（1原值显示，2小数转百分比） */
    int showType;
    /** 影响属性 */
    String effectPropertyName;
    /** 属性范围最小值 */
    BigDecimal propertyValueMin;
    /** 属性范围最大值 */
    BigDecimal propertyValueMax;
    /** 随机属性结果值 */
    BigDecimal propertyValue;
}
