/*
 * ioGame
 * Copyright (C) 2021 - 2023  渔民小镇 （262610965@qq.com、luoyizhu@gmail.com） . All Rights Reserved.
 * # iohao.com . 渔民小镇
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package com.iohao.mmo.equip.proto;

import com.baidu.bjf.remoting.protobuf.annotation.ProtobufClass;
import lombok.AccessLevel;
import lombok.ToString;
import lombok.experimental.FieldDefaults;

/**
 * 装备固定属性
 *
 * @author 唐斌
 * @date 2023-07-30
 * @description:
 */
@ToString
@ProtobufClass
@FieldDefaults(level = AccessLevel.PUBLIC)
public class EquipPropertyBasicMessage {
    /** 物理攻击最小值 */
    Integer physicsAttackMin;
    /** 物理攻击最大值 */
    Integer physicsAttackMax;
    /** 法术攻击最小值 */
    Integer magicAttackMin;
    /** 法术攻击最大值 */
    Integer magicAttackMax;
    /** 物理攻击速度 */
    Double physicsAttackSpeed;
    /** 法术攻击速度 */
    Double magicAttackSpeed;

    /** 物理防御 */
    Integer physicsDefense;
    /** 法术防御 */
    Integer magicDefense;

    /** 物理命中 */
    Integer physicsHit;
    /** 法术命中 */
    Integer magicHit;

    /** 物理躲避 */
    Integer physicsDodge;
    /** 法术躲避 */
    Integer magicDodge;

    /** 生命值 */
    Integer hp;
    /** 能量值 */
    Integer mp;

    /** 基础属性增加百分比 */
    Integer basicAllPct;
}
