/*
 * ioGame
 * Copyright (C) 2021 - 2023  渔民小镇 （262610965@qq.com、luoyizhu@gmail.com） . All Rights Reserved.
 * # iohao.com . 渔民小镇
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package com.iohao.mmo.equip.proto;

import com.baidu.bjf.remoting.protobuf.annotation.ProtobufClass;
import lombok.AccessLevel;
import lombok.ToString;
import lombok.experimental.FieldDefaults;

import java.util.List;

/**
 * @author 唐斌
 * @date 2023-07-30
 * @description:
 */
@ToString
@ProtobufClass
@FieldDefaults(level = AccessLevel.PUBLIC)
public class EquipTemplateMessage{
    /**
     * id
     */
    String id;
    /** itemTypeId */
    String itemTypeId;
    /** 部位（wuqi武器，maozi帽子，yifu衣服，kuzi裤子，xiezi鞋子，huwan护腕，xianglain项链，shouzhuo手镯，jiezhi戒指，yaopei腰佩） */
    String position;
    /** 要求等级 */
    int level;
    /** 品质 white白色，yellow黄色，green绿色，blue蓝色，red红色，purple紫色，ghost鬼装*/
    String quality;
    /** 耐久度 */
    int durability;
    /** 出现权重 */
    int prizeWeight;
    /** 初始数量 */
    Integer initCount;
    /** 剩余数量 */
    Integer residualCount;

    /** 装备基础属性最小值 */
    EquipPropertyBasicMessage equipPropertyBasicMin;
    /** 装备基础属性最大值 */
    EquipPropertyBasicMessage equipPropertyBasicMax;
    /** 固定属性最小条数 */
    int equipPropertyFixedMin;
    /** 固定属性最大条数 */
    int equipPropertyFixedMax;
    /** 装备固定属性 */
    List<EquipEntryMessage> equipPropertyFixedList;
}
